PrimeNumbers = StringFilter ?, ?, ( X : 
                                        If X, IS_INTEGER then 1, 0
                                  ), 
                                  ( X : 
                                        If X, IS_PRIME then 1, 0
                                  ), 
                                  ( X : 
                                        If X then 0, 1
                                  )

IsPrime : -a ->
Arg String : _, . : IS_PRIME

IsPrime( N )
' N : Integer <- String

/

IsPrime : -a ->
Arg Integer : _, . : IS_PRIME, - Is_prime = 0 ..

Is_prime = 1 [ N > 1 ]

Do i = 2 to N - 1
 If N _% i then
  Is_prime = 0; Leave
 Else
  Iterate
 ;
;

/